Package org.opensaml.storage

# Interface ReplayCache

All Known Implementing Classes:
  `StorageServiceReplayCache`

@ThreadSafe public interface ReplayCache
Interface to a component that checks for replay of a value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`check(String context, String key, Instant expires)`
Returns true iff the check value is not found in the cache, and stores it.

## Method Details

### check

boolean check(@Nonnull @NotEmpty String context, @Nonnull @NotEmpty String key, @Nonnull Instant expires)
Returns true iff the check value is not found in the cache, and stores it.

Parameters:
  `context` - a context label to subdivide the cache
  `key` - key to check
  `expires` - time for disposal of value from cache
Returns:
  true iff the check value is not found in the cache